//
//  Created by baidu.
//  Copyright © 2018年 baidu. All rights reserved.
//
#ifndef GameSceneUtils_h
#define GameSceneUtils_h

USING_NS_CC;

const int InterstitialAdSceneTag = 1;
const int VideoAdSceneTag = 2;
const int NativeAdSceneTag = 3;

template <class T>
T* getGameScene(int tag) {
    Scene *scene = Director::getInstance()->getRunningScene();
    T *gameScene = dynamic_cast<T*>(scene->getChildByTag(tag));
    if (gameScene) {
        return gameScene;
    }
    return NULL;
}

template <class T>
void setStatus(std::string status, int tag) {
    T *gameScene = getGameScene<T>(tag);
    if (gameScene) {
        gameScene->setStatus(status);
    }
}


#endif
