//
//  Created by baidu.
//  Copyright © 2018年 baidu. All rights reserved.
//
#include <stdio.h>
#include <string>
#include <memory>
#include "cocos2d.h"
#include "DAPVideoAd.h"

class VideoAdScene : public cocos2d::Layer
{
public:
    static cocos2d::Scene* Scene();
    
    virtual bool init();
    void setStatus(std::string msg);
    CREATE_FUNC(VideoAdScene);
    
private:
    cocos2d::Label *adLabel;
    std::shared_ptr<dap::audience_network::DAPVideoAd> videoAd;
    void menuLoadAdCallback(cocos2d::Ref* pSender);
    void menuPlayableAdCallback(Ref* pSender);
    void menuShowAdCallback(Ref* pSender);
    void nextScene(Ref* pSender);
};
