//
//  Created by baidu.
//  Copyright © 2018年 baidu. All rights reserved.
//
#include "org_cocos2dx_cpp_DAPCocos2dxInterstitialListener.h"
#include "InterstitialAdMap.h"
#ifdef __cplusplus
extern "C" {
#endif

JNIEXPORT void JNICALL Java_org_cocos2dx_cpp_DAPCocos2dxInterstitialListener_nativeOnAdReceive
(JNIEnv *, jclass, jint id) {
    MAP_DAPINTERSTITIAL_AD::iterator key = g_interstitial_admap.find(id);
    if (key != g_interstitial_admap.end()) {
        std::shared_ptr<dap::audience_network::DAPInterstitialAd> ad = key->second;
        ad->onRecevie();
    }
}

JNIEXPORT void JNICALL Java_org_cocos2dx_cpp_DAPCocos2dxInterstitialListener_nativeOnAdFail
(JNIEnv *, jclass, jint id, jint code) {
    MAP_DAPINTERSTITIAL_AD::iterator key = g_interstitial_admap.find(id);
    if (key != g_interstitial_admap.end()) {
        std::shared_ptr<dap::audience_network::DAPInterstitialAd> ad = key->second;
        ad->onDAPAdError(code);
    }
}

JNIEXPORT void JNICALL Java_org_cocos2dx_cpp_DAPCocos2dxInterstitialListener_nativeOnAdClicked
(JNIEnv *, jclass, jint id) {
    MAP_DAPINTERSTITIAL_AD::iterator key = g_interstitial_admap.find(id);
    if (key != g_interstitial_admap.end()) {
        std::shared_ptr<dap::audience_network::DAPInterstitialAd> ad = key->second;
        ad->onClick();
    }
}

JNIEXPORT void JNICALL Java_org_cocos2dx_cpp_DAPCocos2dxInterstitialListener_nativeOnAdPresent
(JNIEnv *, jclass, jint id) {
 MAP_DAPINTERSTITIAL_AD::iterator key = g_interstitial_admap.find(id);
    if (key != g_interstitial_admap.end()) {
        std::shared_ptr<dap::audience_network::DAPInterstitialAd> ad = key->second;
       ad->onPresent();
    }
}

JNIEXPORT void JNICALL Java_org_cocos2dx_cpp_DAPCocos2dxInterstitialListener_nativeOnAdDismissed
(JNIEnv *, jclass, jint id) {
    MAP_DAPINTERSTITIAL_AD::iterator key = g_interstitial_admap.find(id);
    if (key != g_interstitial_admap.end()) {
        std::shared_ptr<dap::audience_network::DAPInterstitialAd> ad = key->second;
        ad->onDismiss();
    }
}

#ifdef __cplusplus
}
#endif
