//
//  Created by baidu.
//  Copyright © 2018年 baidu. All rights reserved.
//
#ifndef InterstitialAdScene_h
#define InterstitialAdScene_h

#include <stdio.h>
#include <string>
#include <memory>
#include "cocos2d.h"
#include "DAPInterstitialAd.h"

class InterstitialAdScene : public cocos2d::Layer
{
public:
    virtual bool init();
    void setStatus(std::string msg);
    static cocos2d::Scene* Scene();
    
    CREATE_FUNC(InterstitialAdScene);
    
private:
    cocos2d::Label *adLabel;
    std::shared_ptr<dap::audience_network::DAPInterstitialAd> dapinterstitialAd;
    void menuLoadAdCallback(cocos2d::Ref* pSender);
    void menuFillAdCallback(Ref* pSender);
    void menuShowAdCallback(Ref* pSender);
    void nextScene(Ref* pSender);
};


#endif
